> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Team Credit Allocation

> Gets the credit allocation for a team.

`Unary` · [`Billing`](https://ona.com/docs/api-reference/generated/billing/overview)

Gets the credit allocation for a team.

### Examples

* Get a team's allocation:

  ```yaml theme={null}
  organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  teamId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ```

### Authorization

Requires `billing:read` permission on the organization.

## Endpoint

```text theme={null}
POST /api/gitpod.v1.BillingService/GetTeamCreditAllocation
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.BillingService/GetTeamCreditAllocation" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "organizationId": "<organization-id>",
  "teamId": "<team-id>"
}'
```

```python Python theme={null}
import gitpod.v1.billing_pb2 as billing_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = billing_pb2.GetTeamCreditAllocationRequest(
    organization_id="<organization-id>",
    team_id="<team-id>",
)
response = ona.services.billing.get_team_credit_allocation(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { GetTeamCreditAllocationRequestSchema } from "@gitpod/sdk/gitpod/v1/billing_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(GetTeamCreditAllocationRequestSchema, {
    organizationId: "<organization-id>",
    teamId: "<team-id>",
  });
  const response = await ona.services.billing.getTeamCreditAllocation(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.GetTeamCreditAllocationRequest{
		OrganizationId: "<organization-id>",
		TeamId: "<team-id>",
	})
	response, err := ona.Services.Billing.GetTeamCreditAllocation(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "organizationId": "<organization-id>",
  "teamId": "<team-id>"
}
```

## Request

`gitpod.v1.GetTeamCreditAllocationRequest`

| Field | Type | Required | Description |
| - | - | - | - |
| `organizationId` | string | Yes | Constraints: `required=true, string.uuid=true`. |
| `teamId` | string | Yes | Constraints: `required=true, string.uuid=true`. |

## Response

`gitpod.v1.GetTeamCreditAllocationResponse`

| Field | Type | Required | Description |
| - | - | - | - |
| `allocation` | [TeamCreditAllocationInfo](#type-gitpod-v1-team-credit-allocation-info) | No | |

## Related types

> [accordion] TeamCreditAllocationInfo
>
> TeamCreditAllocationInfo represents a team's monthly budget allocation.
>
> `gitpod.v1.TeamCreditAllocationInfo`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `id` | string | No | Constraints: `string.uuid=true`. |
> | `teamId` | string | No | Constraints: `string.uuid=true`. |
> | `organizationId` | string | No | Constraints: `string.uuid=true`. |
> | `creditBudget` | 64-bit integer string | No | credit\_budget is the allocated credit budget in whole credits. |
> | `createdAt` | RFC 3339 timestamp | No | |
> | `updatedAt` | RFC 3339 timestamp | No | |
> | `costBudgetMicrounits` | 64-bit integer string | No | cost\_budget\_microunits is the BYOK cost budget in micro-units of the currency. |
> | `costBudgetCurrency` | [BillingCurrency](#enum-gitpod-v1-billing-currency) | No | |

> [accordion] BillingCurrency
>
> | Value | Number | Description |
> | - | -: | - |
> | `BILLING_CURRENCY_UNSPECIFIED` | 0 | |
> | `BILLING_CURRENCY_USD` | 1 | |
> | `BILLING_CURRENCY_EUR` | 2 | |
> | `BILLING_CURRENCY_GBP` | 3 | |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.